~jojo/Carth

Carth/stack.yaml -rw-r--r-- 1.1 KiB
Update stackage release & use default-extensions in cabal file

Also, fix some minor breakages caused by ghc update, fix the
literate.org example, fix some new warnings, and get rid of the need
for a bunch of Data implementations by using basic parsing functions
in SystemSpec.hs.
Update stackage release to 16.18
Update resolver to lts-16.16
Update stackage release to 16.11
Update stackage release to lts-15.1

Had some trouble building the thing on new laptop, both on Guix and
with Stack on Arch. I couldn't find much info about it, but one person
suggested memory error. I hoped this wasn't the case, since the laptop
is brand new, but that it instead was some kind of GHC/Cabal
bug. Indeed, the GHC version in both cases was 8.6.something. Updating
to 8.8.something with LTS 15.1 seems to have helped! While the
miscompilation occured a bit randomly before, it was still likely to
happen, but now the compilation succeeded on the first try, so that
was probably it!
Update resolver to get llvm 9.0.1
Use hackage llvm-hs-pretty

... now that it has been updated to 0.6.2.0. Reason for using a
git-reference before was that the previous version on hackage was
not up-to-date and incompatible with latest llvm or smth.
Update resolver to lts-14.1 & minor dependency fixes

llvm-hs is now included in stackage, so no longer a need for extra dep
there! Also, I don't remember why parsec was locked to a specific
version unlike all other deps (other than llvm-*), so removed that.
9fa96556 — Johan Johansson 2 years ago
Start getting some structure. Begin impl gen of const
d0c7e21b — Johan Johansson 2 years ago
Use llvm 8
d7049d3a — Johan Johansson 2 years ago
Add llvm-hs dependency
d2dac381 — Johan Johansson 2 years ago
init stack project